KashierDevelopersKashier Developers

Export terminals

curl -X GET "https://test-api.kashier.io/v2/terminals/export"
"string"

Exports the terminals on your merchant account as an Excel workbook, using the same filters as the terminals list.

Authorization

secretKey
Authorization<token>

Merchant secret key used to identify the merchant, obtained from Kashier's dashboard. Pass the raw secret key value in the Authorization header (NOT a "Bearer" token).

In: header

Query Parameters

terminalId?string

Filter by terminal ID (ISO 8583 DE 41).

serialNo?string

Filter by terminal serial number.

status?string

Filter by terminal status.

Value in

  • "active"
  • "inactive"
mode?string

Filter by terminal mode.

Value in

  • "test"
  • "live"
merchantPayformanceId?string

Filter by merchant ID, e.g. YOUR_MID.

q?string

Quick search keyword.

Response Body

application/vnd.openxmlformats-officedocument.spreadsheetml.sheet

application/json

application/json

application/json

application/json

GET
/v2/terminals/export